Bug 603629 - Review Request: cf-sorts-mill-goudy-fonts - Goudy Oldstyle and Italic fonts
Summary: Review Request: cf-sorts-mill-goudy-fonts - Goudy Oldstyle and Italic fonts
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-14 08:24 UTC by Parag Nemade
Modified: 2014-09-17 07:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 14:02:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psatpute: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-06-14 08:24:18 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/cf-sorts-mill-goudy-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/cf-sorts-mill-goudy-fonts-3.0-2.fc13.src.rpm
Description: 
Goudy Oldstyle and Italic (based on ATF foundry type)

Comment 1 Pravin Satpute 2010-06-28 14:30:08 UTC
-  package installed properly.
1) please check .conf file
                       <family>OFL Sorts Mill Goudy</family>
it should be           <family>Sorts Mill Goudy</family>

Comment 2 Pravin Satpute 2010-06-28 14:47:25 UTC
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2277636
+ rpmlint is silent for SRPM and for RPM.
cf-sorts-mill-goudy-fonts.src: W: no-buildroot-tag
-> no need for it now

cf-sorts-mill-goudy-fonts.src: W: uncompressed-zip goudy-3.0.zip
-> please check this

cf-sorts-mill-goudy-fonts.noarch: W: obsolete-not-provided ofl-sorts-mill-goudy-fonts

-> this is ok, since build happen only in devel

+ source files match upstream url
50520a9636ae999f2f72cb2b5f41b147  goudy-3.0.zip

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Comment 4 Pravin Satpute 2010-07-01 05:07:29 UTC
+ approved

Comment 5 Parag Nemade 2010-07-05 05:18:34 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: cf-sorts-mill-goudy-fonts 
Short Description: Goudy Oldstyle and Italic fonts
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig

Comment 6 Kevin Fenzi 2010-07-08 01:18:47 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Parag Nemade 2014-09-16 16:35:44 UTC
Package Change Request
======================
Package Name: cf-sorts-mill-goudy-fonts
New Branches: el6 epel7
Owners: pnemade

Comment 8 Jens Petersen 2014-09-17 07:00:41 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.